Skip to main content
POST
/
members
Create member
curl --request POST \
  --url https://int-data.moneydesktop.com/members \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '{}'
{
  "member": {
    "aggregated_at": "2016-10-13T18:07:57.000Z",
    "background_aggregation_is_disabled": false,
    "connection_status": "CONNECTED",
    "external_guid": null,
    "guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
    "institution_code": "chase",
    "institution_guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
    "is_being_aggregated": false,
    "is_managed_by_user": false,
    "is_oauth": false,
    "is_user_created": true,
    "most_recent_job_guid": "JOB-d6bb804b-6d12-44f1-b0ad-403441c03372",
    "metadata": "\\\"credentials_last_refreshed_at\\\": \\\"2015-10-15\\\"",
    "name": "Chase Bank",
    "successfully_aggregated_at": "2016-10-13T17:57:38.000Z",
    "use_cases": [
      "PFM"
    ],
    "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
  }
}
This endpoint allows you to create a new member. Standard members are created with the required parameters credentials and institution_guid. When creating a standard member, you’ll need to include the correct type of credential required by the financial institution, with values provided by the end user. You can find out which credential type is required with the read institution credentials endpoint.

Once you successfully create a standard member, MX will immediately validate the provided credentials and attempt to aggregate data for accounts and transactions. You can prevent this automatic aggregation by setting the skip_aggregation parameter to true. OAuth members can only be created with institutions that support it. OAuth members require no credentials, but do require you to set the is_oauth parameter to true. OAuth members will be created with a connection status of PENDING; a one-time use redirect URI will be provided in the oauth_window_uri field of the response. Making a separate request to the oauth_window_uri will then take the end user to the registered OAuth application where they can provide credentials and choose what data to share with MX.

After completing the OAuth process, aggregation will automatically begin and the connection status will be updated, unless the skip_aggregation parameter was set to true. Partners should not add multiple members to a user if they are connecting to the same institution using the same credentials. This is not supported by many data providers and will result in undefined behavior. This restriction also applies to OAuth members. In addition, it is important to note that the name field is rarely necessary in a member create request. The preferred option is to omit the field and use the default name, i.e. the name of the institution set up by an MX Integration Engineer.

Only in rare circumstances would the name field be supplied in a member create request, and it should not be used unless you have discussed it with a MX Integration Engineer. This endpoint accepts the optional MX-Skip-Webhook header and skip_webhook parameter.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Body

application/vnd.mx.nexus.v1+json

The parameters to create a member.

member
object

Response

200 - application/vnd.mx.nexus.v1+json

OK

member
object